# SdFat: pgm Struct Reference

pgm Struct Reference

type for string in flash More...

`#include <ostream.h>`

## Public Member Functions

| pgm (char *str)
| pgm (const char *str)

## Public Attributes

char * | ptr

## Detailed Description

type for string in flash

## Constructor & Destructor Documentation

pgm::pgm | ( | char * | str | ) |

inlineexplicit

constructor

Parameters

  [in] | str | initializer for pointer.

pgm::pgm | ( | const char * | str | ) |

inlineexplicit

constructor

Parameters

  [in] | str | initializer for pointer.

## Member Data Documentation

char* pgm::ptr

Pointer to flash string

The documentation for this struct was generated from the following file:

- Arduino/libraries/SdFat/ostream.h